Uploaded image for project: 'Apache Cordova'
  1. Apache Cordova
  2. CB-7698

CLI: no validation for globally required plugin variables

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: cordova-cli
    • Labels:
      None

      Description

      CLI should check that any globally required variables (preference at root level in plugin.xml) have been provided before calling plugman.install on the platforms. Otherwise the plugin is added to the project but plugman fails to install to any platforms.

      From the docs:

      plugman checks that these required preferences are passed in. If not, it should warn the user how to pass the variable in and exit with a non-zero code.

      http://cordova.apache.org/docs/en/3.6.0/plugin_ref_spec.md.html#Plugin%20Specification

        Attachments

          Activity

            People

            • Assignee:
              bryanhiggins Bryan Higgins
              Reporter:
              bryanhiggins Bryan Higgins
            • Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: